﻿<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib  uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE HTML>
<html>
<head>
	<meta charset="utf-8">
	<meta name="renderer" content="webkit|ie-comp|ie-stand">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
	<meta http-equiv="Cache-Control" content="no-siteapp" />
	<!--[if lt IE 9]>
	<script type="text/javascript" src="${pageContext.request.contextPath}/lib/html5shiv.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath}/lib/respond.min.js"></script>
	<![endif]-->
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/journalism/h-ui/css/H-ui.min.css" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/css/H-ui.admin.css" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/journalism/Hui-iconfont/1.0.8/iconfont.css" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/skin/default/skin.css" id="skin" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/css/style.css" />
    <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/css/page.css" />
	<script>DD_belatedPNG.fix('*');</script>
	<title>新闻列表</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 新闻管理 <span class="c-gray en">&gt;</span> 新闻列表 <a class="btn btn-success radius r" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="page-container">
	<form class="form form-horizontal" id="form-article-add" action="journalism-list.html" method="post" enctype="multipart/form-data">
	<div class="text-c">
        <span class="select-box inline">
		<select name="" class="select" onchange="window.location=this.value;" >
			<option value="journalism-list.html">全部分类</option>
            <c:forEach items="${typeList}" var="typelists">
				<c:if test="${typelists.tid==typesort}">
                    <option value="journalism-list.html?typesort=${typelists.tid}" selected="selected">${typelists.tname}</option>
				</c:if>
				<c:if test="${typelists.tid!=typesort}">
					<option value="journalism-list.html?typesort=${typelists.tid}" >${typelists.tname}</option>
				</c:if>
                </c:forEach>
			</select>
		</span>
	<input type="text" name="titleName" id="titleName" placeholder=" 新闻标题" style="width:250px" class="input-text" value="${titleName}">
		<button name="" id="" class="btn btn-success"  type="submit"><i class="Hui-iconfont">&#xe665;</i> 搜新闻</button>
	</div>
	</form>
	<div class="cl pd-5 bg-1 bk-gray mt-20"> <span class="l"><a onclick="datadel()" class="btn btn-danger radius"><i class="Hui-iconfont">&#xe6e2;</i> 批量删除</a> <a class="btn btn-primary radius" title="添加新闻" href="journalism-save.html"  ><i class="Hui-iconfont">&#xe600;</i> 添加新闻</a></span> <span class="r data_num">共有数据：<strong>${pageInfo.total}</strong> 条</span> </div>
	<div class="mt-20">
		<table class="table table-border table-bordered table-bg table-hover table-sort table-responsive">
			<thead>
				<tr class="text-c">
					<th width="25"><input type="checkbox" id="ckAll" onclick="checkBox(this)"></th>
					<th width="80">ID</th>
					<th width="80">标题</th>
					<th width="80">分类</th>
					<th width="80">是否推荐到首页</th>
					<th width="30">排序值</th>
					<th width="135">更新时间</th>
					<th width="100">图片</th>
					<th width="200">操作</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${pageInfo.list}" var="item">
				<tr class="text-c">
					<td><input type="checkbox" value="${item.id}" name="ck"></td>
					<td>${item.id}</td>
					<td>${item.title}</td>
					<c:forEach items="${typeList}" var="typelist">
						<c:if test="${typelist.tid==item.types}">
							<td>${typelist.tname}</td>
						</c:if>
					</c:forEach>
					<td>
						<c:if test="${item.recommend==1}">是</c:if>
						<c:if test="${item.recommend!=1}">否</c:if>
					</td>
					<td>${item.sort}</td>
					<td>${item.releaseTime}</td>
					<td><img style="width: 130px;height: 90px " src=" ${item.picture}"></td>
					<td class="f-14 td-manage">
						<a style="text-decoration:none" class="ml-5" href="getJournalismById.html?id=${item.id}"  title="编辑"><i class="Hui-iconfont">&#xe6df; </i>编辑</a>
						<a style="text-decoration:none" class="ml-5" onClick="article_del(this,${item.id})"  title="删除"><i class="Hui-iconfont">&#xe6e2;</i>删除</a></td>
				</tr>
				</c:forEach>
			</tbody>
		</table>
	</div>

	<div id="PageNum">
		<section>
			<div class="bd points-goods-list">
				<ul class="pages">
					<li><a href="journalism-list.html?pageNum=1&&titleName=${titleName}&&typesort=${typesort}">首页</a></li>
					<li class="prev"><a href="journalism-list.html?pageNum=${pageInfo.prePage}&&titleName=${titleName}&&typesort=${typesort}">上一页</a></li>
                    <c:forEach items="${pageInfo.navigatepageNums}" var="nav">
                        <c:if test="${nav == pageInfo.pageNum}">
                            <li ><a href="journalism-list.html?pageNum=${nav}&&titleName=${titleName}&&typesort=${typesort}" class="active">${nav}</a></li>
                        </c:if>
                        <c:if test="${nav != pageInfo.pageNum}">
                            <li><a href="journalism-list.html?pageNum=${nav}&&titleName=${titleName}&&typesort=${typesort}">${nav}</a></li>
                        </c:if>
                    </c:forEach>
					<%--<li><a href="#" class="active">1</a></li>--%>
					<li class="next"><a href="journalism-list.html?pageNum=${pageInfo.nextPage}&&titleName=${titleName}&&typesort=${typesort}">下一页</a></li>
					<li><a href="journalism-list.html?pageNum=${pageInfo.pages}&&titleName=${titleName}&&typesort=${typesort}">末页</a></li>
				</ul>
			</div>
		</section>
	</div>

</div>
<!--_footer 作为公共模版分离出去-->
<script type="text/javascript" src="${pageContext.request.contextPath}/lib/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/lib/layer/2.4/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/static/journalism/h-ui/js/H-ui.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/static/journalism/h-ui.admin/js/H-ui.admin.js"></script> <!--/_footer 作为公共模版分离出去-->

<!--请在下方写此页面业务相关的脚本-->
<script type="text/javascript" src="${pageContext.request.contextPath}/lib/My97DatePicker/4.8/WdatePicker.js"></script>
<script type="text/javascript">


    // $('.table-sort').dataTable({
    // 	"aaSorting": [[ 1, "desc" ]],//默认第几个排序
    // 	"bStateSave": true,//状态保存
    // 	"pading":false,
    // 	"aoColumnDefs": [
    // 	  //{"bVisible": false, "aTargets": [ 3 ]} //控制列的隐藏显示
    // 	  {"orderable":false,"aTargets":[0,8]}// 不参与排序的列
    // 	]
    // });

    /*分页搜索*/



    /*搜索标题*/
    function searchByTitleName() {
        //首先获取关键字
        var titlename = $("#titlename").val();
        alert("根据" + titlename + "搜索");
        //跳转页面
        location.href = "journalism-list.html?titlename=" + titlename;
    }


    /*批量删除*/
    function datadel() {
        var chkvalue ="" //定义一个数组
        $("input[name='ck']:checked").each(function () {
            chkvalue += $(this).val() + ",";
        });
        window.location.href = "deleteSomeJournalism?chkvalue=" + chkvalue;
    }


    /*全选和全不选*/
    function checkBox(ckAll) {
        //全选控制子窗
        var cks = document.getElementsByName("ck");
        for (var i = 0; i < cks.length; i++) {
            cks[i].checked = ckAll.checked;
        }
        for (var i = 0; i < cks.length; i++) {
            cks[i].onclick = function () {
                if (!this.checked) {
                    ckAll.checked = false;
                }
            };

        }
    }
    /*资讯-添加*/
    function article_add(title,url,w,h){
        var index = layer.open({
            type: 2,
            title: title,
            content: url
        });
        layer.full(index);
    }
    /*资讯-编辑*/
    function article_edit(url,id){
        var index = layer.open({
            type: 2,
            title: title,
            content: url,
            id: id
        });
        layer.full(index);

    }
    /*资讯-删除*/
    function article_del(obj,id){
        layer.confirm('确认要删除吗？',function(index){
            $.post("deleteJournalism", {"id": id}, function () {
                console.log(111);
                $(obj).parents("tr").remove();
                layer.msg('已删除!', {icon: 1, time: 1000});
            });
        });
    }

</script>
</body>
</html>