<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no"/>
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <!--[if lt IE 9]>
    <script type="text/javascript" src="${pageContext.request.contextPath}/lib/html5shiv.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/lib/respond.min.js"></script>
    <![endif]-->
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/journalism/h-ui/css/H-ui.min.css"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/css/H-ui.admin.css"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/lib/Hui-iconfont/1.0.8/iconfont.css"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/skin/default/skin.css" id="skin"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/css/style.css"/>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/static/journalism/h-ui.admin/css/page.css"/>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/static/admin/index/js/jquery.min.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/lib/DD_belatedPNG_0.0.8a-min.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/admin/js/layer.js"></script>
    <script>DD_belatedPNG.fix('*');</script>
    <title>内部公告</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>LOGIN <span
        class="c-gray en">&gt;</span> 内部公告 <a class="btn btn-success radius r" style="line-height:1.6em;margin-top:3px"
                                              href="javascript:location.replace(location.href);" title="刷新"><i
        class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="page-container">
    <form class="form form-horizontal" id="form-article-add" action="admin/article-sort.html" method="post"
          enctype="multipart/form-data">
        <div class="text-c">
        </div>
    </form>
    <div class="cl pd-5 bg-1 bk-gray mt-20"><span class="l"><a class="btn btn-primary radius" title="添加信息"
                                                               href="notice-add.html" ><i
            class="Hui-iconfont">&#xe600;</i> 添加信息</a></span><span class="r data_num">共有数据：<strong>${notices.total}</strong> 条</span> </div>
    <div class="mt-20">
        <table class="table table-border table-bordered table-bg table-hover table-sort table-responsive">
            <thead>
            <tr class="text-c">
                <th width="25">ID</th>
                <th  width="80">标题</th>
                <th  width="100">描述</th>
                <th  width="80">排序值</th>
                <th  width="100">发布时间</th>
                <th  width="80">操作</th>
            </tr>
            </thead>
            <tbody>
            <c:forEach items="${notices.list}" var="item">
                <tr class="text-c">
                    <td>${item.id}</td>
                    <td>${item.title}</td>
                    <td>${item.describe}</td>
                    <td>${item.sort}</td>
                    <td>${item.releasetime}</td>
                    <td class="f-14 td-manage">
                        <a style="text-decoration:none" class="ml-5" href="noticeById.html?id=${item.id}"
                           title="编辑"><i class="Hui-iconfont">&#xe6df; </i>编辑</a>
                        <a style="text-decoration:none" onClick="article_del(this,${item.id})" class="ml-5"
                           title="删除"><i class="Hui-iconfont">&#xe6e2;</i>删除</a></td>
                </tr>
            </c:forEach>
            </tbody>
        </table>
    </div>
    <div id="PageNum">
        <section>
            <div class="bd points-goods-list">
                <ul class="pages">
                   <%-- <li>显示条数：</li>
                    <li><select name="rows" class="select select_h" id="select">
                        <option value="10" selected="selected">10</option>
                        <option value="20">20</option>
                        <option value="50">50</option>
                        <option value="100">100</option>
                    </select></li>--%>
                    <li><a href="notice-list.html?pageNum=1">首页</a></li>
                    <li class="prev"><a href="notice-list.html?pageNum=${notices.prePage}">上一页</a></li>
                    <c:forEach items="${notices.navigatepageNums}" var="nav">
                        <c:if test="${nav == notices.pageNum}">
                            <li ><a href="notice-list.html?pageNum=${nav}" class="active">${nav}</a></li>
                        </c:if>
                        <c:if test="${nav != notices.pageNum}">
                            <li><a href="notice-list.html?pageNum=${nav}">${nav}</a></li>
                        </c:if>
                    </c:forEach>
                    <%--<li><a href="#" class="active">1</a></li>--%>
                    <li class="next"><a href="notice-list.html?pageNum=${notices.nextPage}">下一页</a></li>
                    <li><a href="notice-list.html?pageNum=${notices.pages}">末页</a></li>
                </ul>
            </div>
        </section>
    </div>
</div>
<!--_footer 作为公共模版分离出去-->
<script type="text/javascript" src="${pageContext.request.contextPath}/lib/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/lib/layer/2.4/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/static/journalism/h-ui/js/H-ui.min.js"></script>
<script type="text/javascript"
        src="${pageContext.request.contextPath}/static/journalism/h-ui.admin/js/H-ui.admin.js"></script>
<!--/_footer 作为公共模版分离出去-->

<!--请在下方写此页面业务相关的脚本-->
<script type="text/javascript" src="${pageContext.request.contextPath}/lib/My97DatePicker/4.8/WdatePicker.js"></script>
<script type="text/javascript">

    /*资讯-添加*/
    function article_add(title, url, w, h) {
        var index = layer.open({
            type: 2,
            title: title,
            content: url
        });
        layer.full(index);
    }

    /*资讯-编辑*/
    function article_edit(url, id) {
        var index = layer.open({
            type: 2,
            title: title,
            content: url,
            id: id
        });
        layer.full(index);

    }

    /*资讯-删除*/
    function article_del(obj, id) {
        layer.confirm('确认要删除吗？', function (index) {
            $.post("delnotices.html", {"id": id}, function () {
                console.log(111);
                $(obj).parents("tr").remove();
                layer.msg('已删除!', {icon: 1, time: 1000});
            });
        });
    }

</script>
</body>
</html>
